libmozjs24d_24.8.1esr-2~deb7u1_amd64.deb


Advertisement

Description

libmozjs24d - Mozilla SpiderMonkey JavaScript library

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libmozjs24d
Package version 24.8.1esr
Package release 2~deb7u1
Package architecture amd64
Package type deb
Installed size 5.65 KB
Download size 1.60 MB
Official Mirror ftp.br.debian.org
This library provides the embeddable JavaScript/ECMAScript engine from
the Mozilla project (used among others by the Iceweasel (Firefox) browser
as well as by the iPlanet WebServer).

Alternatives

Package Version Architecture Repository
libmozjs24d_24.8.1esr-2~deb7u1_amd64.deb 24.8.1esr amd64 Debian Security Updates Main
libmozjs24d_24.8.1esr-2~deb7u1_i386.deb 24.8.1esr i386 Debian Security Updates Main
libmozjs24d_24.8.1esr-2~deb7u1_i386.deb 24.8.1esr i386 Debian Main
libmozjs24d - - -

Requires

Name Value
libc6 >= 2.4
libffi5 >= 3.0.4
libgcc1 >= 1:4.1.1
libstdc++6 >= 4.1.1
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libmozjs24d_24.8.1esr-2~deb7u1_amd64.deb
Source Package xulrunner

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmozjs24d deb package:
    # sudo apt-get install libmozjs24d

Files

Path
/usr/lib/libmozjs.so.24d
/usr/share/doc/libmozjs24d/MPL-1.1.gz
/usr/share/doc/libmozjs24d/MPL-2.0.gz
/usr/share/doc/libmozjs24d/changelog.Debian.gz
/usr/share/doc/libmozjs24d/copyright

Changelog

2014-10-25 - Mike Hommey <glandium@debian.org>
xulrunner (24.8.1esr-2~deb7u1) stable-security; urgency=medium
* debian/control*, debian/extra-stuff/Makefile.in,
debian/installer/Makefile.in, debian/rules, debian/upstream.mk,
debian/noinstall.in: Only build xulrunner.
* debian/branding/*, debian/browser.*, debian/debsearch.xml,
debian/duckduckgo.xml, debian/firefox.in,
debian/installer/package-manifest.browser, debian/l10n.filter,
debian/l10n/*, debian/source/include-binaries, debian/vendor.js.in:
Removed.
* debian/patches: Unapplied and removed iceweasel-specific patches.
2014-09-25 - Mike Hommey <glandium@debian.org>
iceweasel (24.8.1esr-1~deb7u1) stable-security; urgency=medium
* New upstream release.
* Fixes for mfsa2014-73, also known as CVE-2014-1568.
2014-09-03 - Mike Hommey <glandium@debian.org>
iceweasel (24.8.0esr-1~deb7u1) stable-security; urgency=medium
* New upstream release.
* Fixes for mfsa2014-{67,72}, also known as
CVE-2014-1562, CVE-2014-1567.
2014-07-23 - Mike Hommey <glandium@debian.org>
iceweasel (24.7.0esr-1~deb7u1) stable-security; urgency=medium
* New upstream release.
* Fixes for mfsa2014-{56,61-64}, also known as
CVE-2014-1547, CVE-2014-1555, CVE-2014-1556, CVE-2014-1544,
CVE-2014-1557.
2014-06-11 - Mike Hommey <glandium@debian.org>
iceweasel (24.6.0esr-1~deb7u1) stable-security; urgency=medium
* New upstream release.
* Fixes for mfsa2014-{48-49,52,55}, also known as
CVE-2014-1533, CVE-2014-1538, CVE-2014-1541, CVE-2014-1545.
2014-04-29 - Mike Hommey <glandium@debian.org>
iceweasel (24.5.0esr-1~deb7u1) stable-security; urgency=medium
* New upstream release.
* Fixes for mfsa2014-{34,37-38,42-44,46}, also known as
CVE-2014-1518, CVE-2014-1523, CVE-2014-1524, CVE-2014-1529,
CVE-2014-1530, CVE-2014-1531, CVE-2014-1532.
* debian/control.in: Don't depend on nss and nspr dev and dbg packages when
building with LESS_SYSTEM_LIBS. Closes: #744187.
* debian/control*, debian/browser.mozconfig, debian/xulrunner.mozconfig.in:
Disable gstreamer support. Because the ffmpeg gstreamer 0.10 plugin is not
available in testing/unstable anymore, and gstreamer support is not
enabled by default anyways.
* debiab/control*: Build depend on iso-codes.
2014-03-19 - Mike Hommey <glandium@debian.org>
iceweasel (24.4.0esr-1~deb7u2) stable-security; urgency=low
* debian/rules: Disable the test suite.
2014-03-19 - Mike Hommey <glandium@debian.org>
iceweasel (24.4.0esr-1~deb7u1) stable-security; urgency=low
* New upstream release.
* Fixes for mfsa2014-{15,17,26-32}, also known as
CVE-2014-1493, CVE-2014-1497, CVE-2014-1508, CVE-2014-1509,
CVE-2014-1505, CVE-2014-1510, CVE-2014-1511, CVE-2014-1512,
CVE-2014-1513, CVE-2014-1514.
* debian/noinstall.in, debian/xulrunner-dev.install.in: Install
mozilla-nspr.pc and mozilla-nss.pc when building backports. Closes: #739490.
* xulrunner/installer/mozilla-ns*.pc.in: Fix includedir in mozilla-nspr.pc
and mozilla-nss.pc. bz#985200.

See Also

Package Description
libmp3-info-perl_1.24-1_all.deb Perl MP3::Info - Manipulate / fetch info from MP3 audio files
libmp3-tag-perl_1.13-1_all.deb Module for reading tags of MP3 audio files
libmp3info-ruby1.8_0.5-2_all.deb a pure ruby library for access to mp3 files
libmp3lame-dev_3.99.5+repack1-3+deb7u1_amd64.deb MP3 encoding library (development)
libmp3lame-ocaml-dev_0.3.1-1+b1_amd64.deb OCaml interface to the lame library -- developpement files
libmp3lame-ocaml_0.3.1-1+b1_amd64.deb OCaml interface to the lame library -- runtime files
libmp3lame0_3.99.5+repack1-3+deb7u1_amd64.deb MP3 encoding library
libmp3spi-java_1.9.5-1_all.deb interface to support MP3 (MPEG 1/2/2.5 Layer 1/2/3) audio format
libmp3splt-dev_0.7.2-2_amd64.deb development files for libmp3splt0
libmp3splt0-mp3_0.7.2-2_amd64.deb MP3 plugin for mp3splt
libmp3splt0-ogg_0.7.2-2_amd64.deb Ogg Vorbis plugin for mp3splt
libmp3splt0_0.7.2-2_amd64.deb library for splitting MP3 and Ogg Vorbis files
libmp3tag-ruby1.8_1.0-11_all.deb Ruby library for manipulating ID3V1.1 tags in MP3 (transitional package)
libmp3tag-ruby1.9.1_1.0-11_all.deb Ruby library for manipulating ID3V1.1 tags in MP3 (transitional package)
libmp4-info-perl_1.13-1_all.deb Fetch info from MPEG-4 files
Advertisement
Advertisement